package com.hzya.frame.seeyon.cap4.form.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.List;

/**
 * @Description dataList节点
 * @Author xiangerlin
 * @Date 2024/1/8 11:26
 **/
public class FormDataDTO {
    @JSONField(ordinal = 1)
    private MasterTableDTO masterTable;//主表数据
    @JSONField(ordinal = 2)
    private List<SubTableDTO> subTables;//子表数据

    //private List<> attachmentInfos;//附件列表

    public MasterTableDTO getMasterTable() {
        return masterTable;
    }

    public void setMasterTable(MasterTableDTO masterTable) {
        this.masterTable = masterTable;
    }

    public List<SubTableDTO> getSubTables() {
        return subTables;
    }

    public void setSubTables(List<SubTableDTO> subTables) {
        this.subTables = subTables;
    }
}
